Page Summary
-
A new channel can be created using a POST request to the specified endpoint.
-
The owner of the channel, either a partner or an advertiser, must be identified in the request.
-
The request body requires an instance of Channel, and a successful response returns a newly created Channel instance.
-
Creating a channel requires authorization with the
https://www.googleapis.com/auth/display-videoOAuth scope.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new channel. Returns the newly created channel if successful.
HTTP request
POST https://displayvideo.googleapis.com/v4/partners/{partnerId}/channels
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
| Required. Identifies which DV360 entity owns the channel. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
partnerId |
The ID of the partner that owns the created channel. |
| End of mutually exclusive fields. | |
Query parameters
| Parameters | |
|---|---|
| Required. Identifies which DV360 entity owns the channel. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
advertiserId |
The ID of the advertiser that owns the created channel. |
| End of mutually exclusive fields. | |
Request body
The request body contains an instance of Channel.
Response body
If successful, the response body contains a newly created instance of Channel.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.